Package org.eclipse.m2m.atl.adt.ui.preferences

## Class AtlPreview

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.AtlPreview

All Implemented Interfaces:
  `java.util.Observer`

    public class AtlPreview
    extends java.lang.Object
    implements java.util.Observer

The ATL Formatter previewer.

### Constructor Summary

Constructors
`AtlPreview​(java.util.Map<java.lang.String,​java.lang.String> workingValues, org.eclipse.swt.widgets.Composite parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Control` `getControl()`
`java.util.Map<java.lang.String,​java.lang.String>` `getWorkingValues()`
`boolean` `isShowInvisible()`
`void` `setText​(java.lang.String text)`
`void` `setWorkingValues​(java.util.Map<java.lang.String,​java.lang.String> workingValues)`
`void` `showInvisibleCharacters​(boolean enable)`
`void` `update​(java.util.Observable o, java.lang.Object arg)`
`void` `updateEditor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlPreview

    public AtlPreview​(java.util.Map<java.lang.String,​java.lang.String> workingValues,
                      org.eclipse.swt.widgets.Composite parent)

### Method Detail

#### setText

    public void setText​(java.lang.String text)

#### updateEditor

    public void updateEditor()

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

#### showInvisibleCharacters

    public void showInvisibleCharacters​(boolean enable)

#### isShowInvisible

    public boolean isShowInvisible()

#### getWorkingValues

    public java.util.Map<java.lang.String,​java.lang.String> getWorkingValues()

#### setWorkingValues

    public void setWorkingValues​(java.util.Map<java.lang.String,​java.lang.String> workingValues)

#### update

    public void update​(java.util.Observable o,
                       java.lang.Object arg)

Specified by:
  `update` in interface `java.util.Observer`